# -*- tmux.conf -*-
#
# tmux configuration file
# 2011, Emmanuel Bouthenot <kolter@openics.org>
#
#  This file is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY
#

### Global settings ###
#
# terminal type, history size, env
#
set -g default-terminal "screen-256color"
set -g history-limit 1000
set -g update-environment "DISPLAY WINDOWID SSH_AUTH_SOCK SSH_AGENT_PID SSH_CONNECTION"
#set -g terminal-overrides 'xterm*:smcup@:rmcup@'
setw -g mode-mouse on

### Backport some “screen” setting ###
#
# the magic key is Ctrl-a instead of Ctrl-b (the default)
#
unbind C-b
unbind l
set -g prefix C-a
#
# Ctrl-a Ctrl-a jump to the previous window
#
bind-key C-a last-window

### Some shotcuts ###
#
# quickly reload config file
#
bind r source-file ~/.tmux.conf
#
# killing the window
#
bind k confirm-before kill-window
#
# Ctrl-a a, useful for the $SHELL
#
bind a send-prefix
#
# splitting the windows
#
bind h split-window
bind v split-window -h
#
# enter copy mode
#
unbind [
bind * copy-mode

### Decoration settings ###
#
# some colors
#
set -g status-bg black
set -g status-fg white
#set -g set-titles-string '#H #S #I #P #W #T' # window number,program name,active (or not)
set-window-option -g window-status-current-fg red
set-window-option -g window-status-current-bg default
#
# status bar settings
#
set -g status-interval 60
set -g status-left '#[fg=green]#(hostname)#[default] '
set -g status-right "#[fg=yellow]up: #(uptime|cut -d ' ' -f 4-| sed 's/ days, /d,/ ; s/ load average: /load: /')#[default] #[fg=green]%H:%M %d-%m-%Y#[default] (#S)"
set -g status-right-length 70


